Status: Resolved Priority: Should have
Author: Christoph Lehmann Category:
Created: 2013-04-15 Assigned To: Karsten Dambekalns
Updated: 2013-06-17 Due date:
Subject: Easily extending the Image Model
Description

Please make it possible to let this work:

class Picture extends \TYPO3\Media\Domain\Model\Image {

...

}

I was told there is something missing like

@ORM\InheritanceType("JOINED")

in \TYPO3\Media\Domain\Model\Image.php

Thank you!

Related issues:
related to Base Distribution - Work Package # 45003: Media Browser Accepted
blocked by TYPO3.Flow - Feature # 37372: Inheritance in ORM should be configu... Accepted 2012-05-21

Associated revisions
Revision 6a69ac3f - 2013-05-24 11:40 - Karsten Dambekalns

[FEATURE] Add Asset classes and adjust Image

Adds a base class and an interface for assets. The Image is adjusted
to use this and classes for Document, Video and Audio are added.

A new AssetRepository allows retrieval of assets.

Change-Id: I53af34412768f2e51e952d212218299ac124487f
Resolves: #47428
Resolves: #47262
Related: #45003

History
#1 - 2013-04-22 13:32 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2013-04-22 15:40 - Karsten Dambekalns
This should work without a problem if #47428 is applied, see http://forge.typo3.org/issues/47428#note-1

#3 - 2013-04-24 22:28 - Christoph Lehmann

I tried it and it looks good to me.

Now it works well without the inheritance type definition in the parent class. Thank you!

#4 - 2013-05-22 13:40 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20973

#5 - 2013-05-22 15:08 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#6 - 2013-05-24 11:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20973

#7 - 2013-06-17 13:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6a69ac3f71599681462356bf3a3614247c851264.
